﻿using System.Linq;
using System.Windows;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationWindow.xaml
    /// </summary>
    public partial class AuthorizationWindow : Window
    {
        public AuthorizationWindow()
        {
            InitializeComponent();
        }

        private void AuthBtn_Click(object sender, RoutedEventArgs e)
        {
            var user = DataBase.db.Staff.SingleOrDefault(x => x.Login == Login.Text && x.Password == Password.Password);
            if (user != null && user.Id_PersStatus == 2)
            {
                MessageBox.Show("Данный пользователь удалён из базы данных");
            }
            else if (user != null && user.Id_PersStatus == 1)
            {
                MainWindow mainWindow = new MainWindow(user);
                mainWindow.Show();
                this.Close();
            }
            else
            {
                MessageBox.Show("Ошибка авторизации");
                Password.Password = "";
            }
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Login.Focus();
        }
    }
}
